package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 品牌类型枚举
 * 1_我方纸箱；2_瓜农纸箱；3_第三方纸箱;4_礼盒
 */
@Getter
@RequiredArgsConstructor
public enum BoxBrandTypeEnum {
	/**
	 * 我方纸箱
	 */
	OUR_BOX(1, "我方纸箱"),

	/**
	 * 瓜农纸箱
	 */
	FARMER_BOX(2, "瓜农纸箱"),

	/**
	 * 第三方纸箱
	 */
	THIRD_PARTY_BOX(3, "第三方纸箱"),

	/**
	 * 礼盒
	 */
	GIFT_BOX(4, "礼盒"),
	;

	@EnumValue
	private final Integer code;
	private final String description;
}
